Bug 833765 - IPADDR2 not handled correctly with or without NetworkManager in RHEL 6.3 final
IPADDR2 not handled correctly with or without NetworkManager in RHEL 6.3 final
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
6.3
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Lukáš Nykrýn
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 06:25 EDT by Rudolf Kastl
Modified: 2016-11-25 07:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-03 08:36:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudolf Kastl 2012-06-20 06:25:08 EDT
Description of problem:
when adding IPADDR2 and PREFIX2

e.g.
IPADDR2 = 10.0.5.5
PREFIX2 = 24

it is not getting added to the interface. ip addr show does not show the additional ip address.

even without network manager this doesent work.
even without having setupped dhcp on the interface it doesent work.
even with completly configuring 2 ip addresses through nm-applet by choosing manual mode it does not work.

Version-Release number of selected component (if applicable):
0.8.1-33

How reproducible:
always

Steps to Reproduce:
1. open nm-applet config setting for eth0
2. change to ipv4 tab and set to manual config
3. add 2 ip addresses with prefix/netmask

Actual results:
ip addr show and only see the first one assigned

Expected results:
ip addr show and only see both ip addresses assigned
Comment 2 Rudolf Kastl 2012-06-20 09:21:26 EDT
It also doesent work for standard ifcfg handling using 6.3 systems. Created the ifcfg file manually and started it by ifup... still not working.
Reassigning to initscripts.
Comment 3 Lukáš Nykrýn 2012-06-20 09:33:05 EDT
Can you please paste here yours ifcfg file?
Comment 4 Rudolf Kastl 2012-06-20 09:40:01 EDT
NOTE: biosdevname is set to 0 so eth0 really exists and works in that system.

ifcfg-eth0:

DEVICE=eth0
BOOTPROTO=dhcp
ONBOOT=yes
TYPE=Ethernet
USERCTL=yes
PEERDNS=no
IPV6INIT=no
DNS1=192.168.0.254
IPADDR2=10.0.5.5
PREFIX2=24

NOTE: IPADDR2 also doesent work if the first ip is assigned statically.
Comment 5 Lukáš Nykrýn 2012-06-21 04:57:53 EDT
You can't use dynamic configuration and static together, but with statically configured ipaddr it works fine:

[root@localhost network-scripts]# cat ifcfg-eth0 
DEVICE=eth0
ONBOOT=yes
TYPE=Ethernet
USERCTL=yes
PEERDNS=no
IPV6INIT=no
DNS1=192.168.0.254
IPADDR=10.0.5.4
PREFIX=24
IPADDR2=10.0.5.5
PREFIX2=24

[root@localhost network-scripts]# ip addr show eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:22:bf:86 brd ff:ff:ff:ff:ff:ff
    inet 10.0.5.4/24 brd 10.0.5.255 scope global eth0
    inet 10.0.5.5/24 brd 10.0.5.255 scope global secondary eth0
Comment 6 Lukáš Nykrýn 2012-06-26 06:13:14 EDT
Do you have any example of configuration with static ip, where this issue occurs?
Comment 7 RHEL Product and Program Management 2012-07-10 04:35:46 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2012-07-10 19:26:10 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Note You need to log in before you can comment on or make changes to this bug.